PPM Problems on Win.XP

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View

I've spent hours trying to figure this problem out, including re-
installing everything, using different versions, etc, etc ... but
still it will not work.

I've just set up a new Win.XP box with the following:

Active State Perl:  v5.8.7 built for MSWin32-x86-multi-thread

which came with PPM interactive shell (2.1.6).

... so no GUI PPM, just command line stuff. I have also added the
following repository to PPM:

http://theoryx5.uwinnipeg.ca/ppmpackages /

I also tried generating a new ppm.xml with the following command, but
ended up not being able to do very much at all:

ppm genconfig > ppm.xml

So, I have reverted to the original ppm.xml and I have tried and tried
and tried to find out what the deal with this is, but every single
install I try and do, I end up with errors similar to the below;

PPM> install email-valid
Install package 'email-valid?' (y/N): y
Installing package 'email-valid'...
Element 'IMPLEMENTATION' cannot contain a child element 'PROVIDE' at
D:/Perl/site/lib/PPM.pm line 1674, <> line 8.
Element 'IMPLEMENTATION' cannot contain a child element 'PROVIDE' at
D:/Perl/site/lib/PPM.pm line 1674, <> line 8.
Can't locate object method "rvalidate" via package
"PPM::XML::PPD::PROVIDE" at D:/Perl/site/lib/PPM/XML/
line 38, <> line 8.

I used to have this working on my old machine, so I know it does work.
If anyone can shove me a few clues, or suggestions, then it would be
most appreciated. Or if anyone knows how I can download the GUI PPM
(if it's compatible with 5.8.7) then that would be useful also.

Many thanks!

Re: PPM Problems on Win.XP

Quoted text here. Click to load it

Why not install the latest 5.8.8 (build 822, I think) ?
That would give you a version of PPM that does handle the child
element "PROVIDE", plus you'd also have the gui version.

Quoted text here. Click to load it

It's just that the older version of PPM that you have can't
accommodate the more recently introduced "PROVIDE" innovation.

For a possible solution (apart from upgrading perl) see the patches
written by Randy Kobes at http://rt.cpan.org/Public/Bug/Display.html?id=21871

Those patches have been applied to the latest version of PPM available
from CPAN. You could therefore either install the latest version of
PPM from CPAN, or incorporate the fixes that Randy has provided into
your current PPM installation.

(Personally, I think upgrading ActivePerl to the latest build 822 (or
whatever it happens to be) is the best solution :-)


Re: PPM Problems on Win.XP

Quoted text here. Click to load it

Thanks for the comments. Yes, could install 5.8.8 again, but I had
already tried doing that and it messed with my Apache installation ...
which, admittedly, I should probably have tried fixing rather than
reverting back to 5.8.7, but I was so frustrated that I quickly gave
up on that idea :-(

Okay, good to know why the PROVIDE tags are giving issues ... I will
have a look at the patches you mentioned, but at least with the info'
you've provided I think I should be on the right track ...

Thanks again,

Re: PPM Problems on Win.XP

Okay, I used Randy's patches and all is well, and PPM now works for
me :-)

Many thanks,

Site Timeline